
QGIS Application - Bug report #1859

Graphic interface crash

2009-08-06 07:17 AM - marion -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11919

Description

Hello

I'm in trouble with Qgis graphic interface who start to crash after one hour utilization (about).

First the raster layer no more appear but come back soon, and just after, when i try to editing shapefile, some points disappear, it freeze

and i have to kill the process.

In attach the shell report.

Thanks

Marion

PS : this append with the 1.1.0-Pan version and the precedent too.

History

#1 - 2009-08-06 07:27 AM - Giovanni Manghi

Qgis 1.2 will ship soon (by the end of the month), can you please give it try and see if the situation changes? Under linux you can compile easily, on

windows you can install de dev version with the osgeo4w installer. Thanks.

#2 - 2009-08-06 07:45 AM - marion -

Replying to [comment:1 lutra]:

Qgis 1.2 will ship soon (by the end of the month), can you please give it try and see if the situation changes? Under linux you can compile easily, on

windows you can install de dev version with the osgeo4w installer. Thanks.

Hello lutra

OK i wait and try Qgis 1.2

Precision : i use ubuntu 8.04 and Qgis is installed via "ubuntugis"

Thanks
#3 - 2009-08-06 07:48 AM - Giovanni Manghi

OK i wait and try Qgis 1.2

Precision : i use ubuntu 8.04 and Qgis is installed via "ubuntugis"

Hi,

if you can try it rather then waiting for the new package it would be better, so if a problem exist there is chance to fix in time.

#4 - 2009-08-07 05:14 AM - Giovanni Manghi

I cannot replicate this on both linux and windows with the latest revision. I'll change the priority by now, awaiting further feeeback by the poster.

#5 - 2009-08-11 03:17 AM - marion -

Replying to [comment:4 lutra]:

I cannot replicate this on both linux and windows with the latest revision. I'll change the priority by now, awaiting further feeeback by the poster.

Here is the file i'm working with. I save it just before crash (with shell report). Hope it can help you.

PS : you have to resize the pictures from 800*600 to 3072*2304

#6 - 2009-08-11 05:13 AM - Giovanni Manghi

Hi.

I rescaled the image, opened your project and vector/raster layers then saved again with qgis 1.2. Then started to play around, also with

geoprocessing/grass tools, just to mess things around.

More than one hour now that I have started and no freezes nor crashes whatsoever.

Did you tested 1.2?

regards

PS

what organisms am I looking to? :)

#7 - 2009-08-19 09:33 PM - Paolo Cavallini

Please check again with a recent QGIS. I suspect this can be a local problem: did you compile it yourself? Which gdal version?

#8 - 2009-08-25 05:04 AM - marion -
Hi Lutra.

Those organisms are "Bernacles" (tiny animals lived on the seashore). I use Qgis to count them (each color is a different species).

I will try 1.2 this week or next, i'd inform you about.

Hi pcav

I just install 1.2 via Ubuntugis, the gdal version is 1.6.1-1~hardy2.

Regards

#9 - 2009-08-25 05:34 AM - Paolo Cavallini

Please try removing your config (possibly all the ~/.qgis folder) and see if the problem persists. Similar problems has been reported, and apparently are due

to old configurations.

#10 - 2009-08-25 08:10 AM - marion -

Replying to [comment:9 pcav]:

Please try removing your config (possibly all the ~/.qgis folder) and see if the problem persists. Similar problems has been reported, and apparently

are due to old configurations.

I already try this, and the problem was still there.

But now i work on 1.2 since an hour and half and it seems to be no trouble. I'm still going with 1.2 and confirm that there's no more problem in a couple of

days.

Thanks.

#11 - 2009-08-25 01:32 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to wontfix

I already try this, and the problem was still there.

But now i work on 1.2 since an hour and half and it seems to be no trouble. I'm still going with 1.2 and confirm that there's no more problem in a

couple of days.

So I guess we can close this, please reopen it if the problem pop up with qgis 1.2.

#12 - 2010-01-14 02:33 AM - marion -

- Status changed from Closed to Feedback

- Resolution deleted (wontfix)
Hi.

I have to reopen this ticket, i was fine with Qgis 1.2. but when i try 1.3. version this trouble come back again, worse than before. And sometimes this bug is

combined with a high CPU usage and same for memory, even use the swap.

Thanks.

PS. Was asking me if this was related to ticket #1451?

#13 - 2010-01-14 02:39 AM - Giovanni Manghi

Please try the 1.4 release.

#14 - 2010-01-14 06:31 AM - marion -

Replying to [comment:13 lutra]:

Please try the 1.4 release.

Well...Still on Ubuntu 8.04 and can't find how to put QGis 1.4 on it. Can't go with other Ubuntu version, not allowed to use other than LTS at work.

#15 - 2010-01-15 04:30 AM - Giovanni Manghi

Well...Still on Ubuntu 8.04 and can't find how to put QGis 1.4 on it. Can't go with other Ubuntu version, not allowed to use other than LTS at work.

Can you give it a try in a virtual machine?

#16 - 2010-03-21 03:21 PM - Paolo Cavallini

This bug seem impossible to reproduce, outside your specific environment. If we cannot reproduce it, I guess there is not much we can do.

Please give it a try in a clean environment, with the same data, and report back.

#17 - 2010-04-24 01:59 AM - Paolo Cavallini

- Status changed from Feedback to Closed

- Resolution set to worksforme

Closing it in absence of feedback. Please reopen it if still true.

Files
